Bug 1028901 - Truststore password for jsse could be empty once we configure also keystore element.
Truststore password for jsse could be empty once we configure also keystore e...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: CR1
: EAP 6.2.0
Assigned To: Miles Tjandrawidjaja
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 02:47 EST by Petr Kremensky
Modified: 2014-09-03 00:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-15 11:55:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kremensky 2013-11-11 02:47:13 EST
Description of problem:
 Password for truststore could be empty once user enter some values for keystore.

Version-Release number of selected component (if applicable):
 EAP 6.2.0.ER7

How reproducible:
 Always

Steps to Reproduce:
 1. Run GUI installer, go to post-install configuration using default values.
 2. Select to "Add a new security-domain".
 3. Press Next on "Security-Domain configuration" screen to get onto JSSE configuration screen.
 4. Select to add both keystore and truststore elements.
 5. Enter some values into "Keystore password", "Confirm keystore password", "Keystore URL", "Truststore URL", and press Next (leave fields for truststore password empty).

Actual results:
 No error message. Post-install configuration task will fail.

Expected results:
 Error dialog with "Truststore requires the password and URL fields to be set." message is shown (same as if we remove keystore element).
Comment 1 Miles Tjandrawidjaja 2013-11-12 12:28:09 EST
Ensure that both keystore and trustore go through validation

http://git.app.eng.bos.redhat.com/jbossas-installer.git/commit/?h=eap-6.2&id=9c13b52ca817ebfe41a7e7fe5c36adc741622134
Comment 2 Petr Kremensky 2013-11-15 03:08:38 EST
Verified on EAP 6.2.0.CR1 installer.

Note You need to log in before you can comment on or make changes to this bug.